<?php
/**
* GlossyAccordionMenu plugin
* This plugin allows you to insert the Glossy Accordion Menu
* with the tags {Glossy_Accordion_Menu} ... {/Glossy_Accordion_Menu}.
* Author: kksou
* Copyright (C) 2006-2008. kksou.com. All Rights Reserved
* License: GNU/GPL http://www.gnu.org/copyleft/gpl.html
* Website: http://www.kksou.com/php-gtk2
* v1.0 October 3, 2008
*/

class GlossyAccordionMenu_base extends GlossyAccordionMenu_base2 {

	function setup_css() {
		$this->menu = '';

		if (!defined('GlossyAccordionMenu_js')) {

			define('GlossyAccordionMenu_js', 1);

			$this->menu = "\n\n<!-- \nPowered by Joomla Gadgets from kksou.com
http://www.kksou.com/php-gtk2/Joomla-Gadgets/
-->\n\n";

			#$this->z = "<p align=\"right\" style=\"padding:0 0 0 0;margin:0 0 0 0;line-height:0.6em\"><a href=\"http://www.kksou.com/php-gtk2/Joomla/Glossy-Accordion-Menu.php\" style=\"color:#aaa;text-decoration: none;font-family:Tahoma, Arial, Helvetica, sans-serif;font-size:7pt;font-weight: normal;\">Powered by JoomlaGadgets</a></p>";
			$this->z = "<p align=\"right\" style=\"padding:0 0 0 0;margin:0 0 0 0;\"><a href=\"http://www.kksou.com/php-gtk2/Joomla-Gadgets/\" style=\"color:#aaa;text-decoration: none;font-family:Tahoma, Arial, Helvetica, sans-serif;font-size:7pt;font-weight: normal;\">Powered by JoomlaGadgets</a></p>";
			$this->z .= $this->menu;

			$this->menu .= '<script type="text/javascript" src="'.$this->base_url2.'/jquery-1.2.2.pack.js"></script>

<script type="text/javascript" src="'.$this->base_url2.'/ddaccordion.js">

/***********************************************
* Accordion Content script- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
* Visit http://www.dynamicDrive.com for hundreds of DHTML scripts
* This notice must stay intact for legal use
***********************************************/

</script>


<script type="text/javascript">

ddaccordion.init({
	headerclass: "submenuheader", //Shared CSS class name of headers group
	contentclass: "submenu", //Shared CSS class name of contents group
	revealtype: "'.$this->revealtype.'", //Reveal content when user clicks or onmouseover the header? Valid value: "click" or "mouseover
	collapseprev: true, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded: [], //index of content(s) open by default [index1, index2, etc] [] denotes no content
	onemustopen: false, //Specify whether at least one header should be open always (so never all headers closed)
	animatedefault: false, //Should contents open by default be animated into view?
	persiststate: true, //persist state of opened contents within browser session?
	toggleclass: ["", ""], //Two CSS classes to be applied to the header when it\'s collapsed and expanded, respectively ["class1", "class2"]
	togglehtml: ["suffix", "<img src=\''.$this->base_url2.'/plus.gif'.'\' class=\'statusicon\' />", "<img src=\''.$this->base_url2.'/minus.gif'.'\' class=\'statusicon\' />"], //Additional HTML added to the header when it\'s collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed: "normal", //speed of animation: "fast", "normal", or "slow"
	oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
		//do nothing
	},
	onopenclose:function(header, index, state, isuseractivated){ //custom code to run whenever a header is opened or closed
		//do nothing
	}
})

</script>';

$css_file = dirname(__FILE__).'/'.$this->css;
$css = file_get_contents($css_file);

$css = str_replace('{$menu_width}', $this->menu_width, $css);
$css = str_replace('{$menu_height}', $this->menu_height, $css);
$css = str_replace('{$base}', $this->base_url2, $css);

$this->menu .= '
<style type="text/css">

.b1 {
margin: 0 0 0 0;
text-align: right;
}

'.$css.'
</style>
';
		}
	}
}

?>
